Movable Type Blues

apps

#1

Dear dudes,

I’ve use wombatnations guide to installing movable type - and as soon as I load up http://www.thechinared.com/mt/mt-load.cgi - the browser goes :

Loading initial data into system…

An error occurred while loading data:

Unsupported driver MT::ObjectDriver::DBI::mysql
Database chinaredblog
DBUser chinared
DBHost mysql.thechinared.com: Can’t locate object method “DBHost” via package “mysql” (perhaps you forgot to load “mysql”?) at (eval 3) line 1.
BEGIN failed–compilation aborted at (eval 3) line 1.

Then - I try again - check over the guide - and do it again - with the same error message.

I have no experience in coding or loading php scripts - in fact this is my first time.

Any advice or suggestions would be be greatly appreciated!

Thanks
John


#2

When you run mt-check.cgi, does it say that DBD::mysql is installed? When I run it on my site, I get:

DBD::mysql…
Your server has DBD::mysql installed (version 2.0419).

What version of MySQL is installed on your server (run “mysql -V” from a shell connection)? Version 3.23.49 is installed on the server I am on. I’m just wondering if you are on a machine that has already been converted to MySQL 4, although the issues seems more related to MT not being able to find a necessary Perl package for accessing MySQL.


#3

Dear dude.

I ran the version check in a terminal and it said :
mysql Ver 11.16 Distrib 3.23.49, for pc-linux-gnu (i686)

Additionally,
Using the MT-check.cgi:

DBD::mysql…
Your server has DBD::mysql installed (version 2.9003_1).

Sorry for the long delay - I’ve been having some really heavy exams!

Heeelllpp!!!

JK


#4

Help? :frowning:


#5

hi john,

i’m getting the same error.

did you get yours working?

please share the fix !

thanks,
rak.